curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/plan/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"total": 1,
"list": [
{
"merchantPlanNo": "plan031004",
"planNo": "63784847096545341",
"planName": "计划01",
"planDesc": "计划描述01",
"productName": "2",
"productNo": "2",
"priceNo": "3",
"priceName": "每周",
"cryptoCurrency": "USDT",
"cryptoAmount": "5",
"period": "WEEK",
"planStatus": "on",
"createTime": 1773107374000,
"updateTime": 1773107374000
}
]
},
"success": true
}查询订阅计划列表
curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/plan/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"total": 1,
"list": [
{
"merchantPlanNo": "plan031004",
"planNo": "63784847096545341",
"planName": "计划01",
"planDesc": "计划描述01",
"productName": "2",
"productNo": "2",
"priceNo": "3",
"priceName": "每周",
"cryptoCurrency": "USDT",
"cryptoAmount": "5",
"period": "WEEK",
"planStatus": "on",
"createTime": 1773107374000,
"updateTime": 1773107374000
}
]
},
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /open/v1/plan/list 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
商户客户端ID,在 GatePay 平台申请获得
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256签名,用于验证请求合法性
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
时间戳(毫秒),与服务器时间差不能超过5分钟
"1672905655498"
随机数,用于防止重放攻击
"9578"
订阅计划状态筛选
ACTIVE, INACTIVE "ACTIVE"
产品编号筛选
"PROD_ABC123"
页码,从 1 开始,默认 1
x >= 11
每页数量,最大 100,默认 10
1 <= x <= 10010